org.apache.maven.plugin.version

## Class DefaultPluginVersionManager

- java.lang.Object
- - AbstractLogEnabled
  - - org.apache.maven.plugin.version.DefaultPluginVersionManager

All Implemented Interfaces:
  PluginVersionManager

    public class DefaultPluginVersionManager
    extends AbstractLogEnabled
    implements PluginVersionManager

### Field Summary

### Fields inherited from interface org.apache.maven.plugin.version.PluginVersionManager

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`DefaultPluginVersionManager()`

### Method Summary

Methods
`java.lang.String` `resolvePluginVersion(java.lang.String groupId, java.lang.String artifactId, MavenProject project, Settings settings, ArtifactRepository localRepository)`
`java.lang.String` `resolveReportPluginVersion(java.lang.String groupId, java.lang.String artifactId, MavenProject project, Settings settings, ArtifactRepository localRepository)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultPluginVersionManager

    public DefaultPluginVersionManager()

### Method Detail

#### resolvePluginVersion

    public java.lang.String resolvePluginVersion(java.lang.String groupId,
                                        java.lang.String artifactId,
                                        MavenProject project,
                                        Settings settings,
                                        ArtifactRepository localRepository)
                                          throws PluginVersionResolutionException,
                                                 InvalidPluginException,
                                                 PluginVersionNotFoundException

Specified by:
  `resolvePluginVersion` in interface `PluginVersionManager`
Throws:
  `PluginVersionResolutionException`
  `InvalidPluginException`
  `PluginVersionNotFoundException`

#### resolveReportPluginVersion

    public java.lang.String resolveReportPluginVersion(java.lang.String groupId,
                                              java.lang.String artifactId,
                                              MavenProject project,
                                              Settings settings,
                                              ArtifactRepository localRepository)
                                                throws PluginVersionResolutionException,
                                                       InvalidPluginException,
                                                       PluginVersionNotFoundException

Specified by:
  `resolveReportPluginVersion` in interface `PluginVersionManager`
Throws:
  `PluginVersionResolutionException`
  `InvalidPluginException`
  `PluginVersionNotFoundException`